Commit af6fd4cf authored by Matteo F. Vescovi's avatar Matteo F. Vescovi

Imported Upstream version 1.1.0

parent 6afc50bd
......@@ -20,9 +20,11 @@
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
AUTOMAKE_OPTIONS = foreign
SUBDIRS = va dummy_drv_video pkgconfig test debian.upstream
SUBDIRS = va dummy_drv_video pkgconfig test debian.upstream doc
# Extra clean files so that maintainer-clean removes *everything*
MAINTAINERCLEANFILES = \
......
......@@ -61,7 +61,10 @@ DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
$(top_srcdir)/configure COPYING NEWS compile config.guess \
config.sub depcomp install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
......@@ -154,6 +157,7 @@ CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DRM_CFLAGS = @DRM_CFLAGS@
DRM_LIBS = @DRM_LIBS@
DSYMUTIL = @DSYMUTIL@
......@@ -161,11 +165,13 @@ DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGL_CFLAGS = @EGL_CFLAGS@
EGL_LIBS = @EGL_LIBS@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GL_DEPS_CFLAGS = @GL_DEPS_CFLAGS@
GL_DEPS_LIBS = @GL_DEPS_LIBS@
GLX_CFLAGS = @GLX_CFLAGS@
GLX_LIBS = @GLX_LIBS@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
......@@ -178,9 +184,7 @@ LIBDRM_VERSION = @LIBDRM_VERSION@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBVA_CFLAGS = @LIBVA_CFLAGS@
LIBVA_DRIVERS_PATH = @LIBVA_DRIVERS_PATH@
LIBVA_LIBS = @LIBVA_LIBS@
LIBVA_LT_LDFLAGS = @LIBVA_LT_LDFLAGS@
LIBVA_LT_VERSION = @LIBVA_LT_VERSION@
LIBVA_MAJOR_VERSION = @LIBVA_MAJOR_VERSION@
......@@ -215,13 +219,15 @@ SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
UDEV_CFLAGS = @UDEV_CFLAGS@
UDEV_LIBS = @UDEV_LIBS@
TODAY = @TODAY@
VA_API_MAJOR_VERSION = @VA_API_MAJOR_VERSION@
VA_API_MICRO_VERSION = @VA_API_MICRO_VERSION@
VA_API_MINOR_VERSION = @VA_API_MINOR_VERSION@
VA_API_VERSION = @VA_API_VERSION@
VERSION = @VERSION@
WAYLAND_API_VERSION = @WAYLAND_API_VERSION@
WAYLAND_CFLAGS = @WAYLAND_CFLAGS@
WAYLAND_LIBS = @WAYLAND_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
XEXT_CFLAGS = @XEXT_CFLAGS@
......@@ -264,8 +270,6 @@ infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
libvabackendlib = @libvabackendlib@
libvacorelib = @libvacorelib@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
......@@ -284,8 +288,11 @@ target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
wayland_protocoldir = @wayland_protocoldir@
wayland_scanner = @wayland_scanner@
ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
AUTOMAKE_OPTIONS = foreign
SUBDIRS = va dummy_drv_video pkgconfig test debian.upstream
SUBDIRS = va dummy_drv_video pkgconfig test debian.upstream doc
# Extra clean files so that maintainer-clean removes *everything*
MAINTAINERCLEANFILES = \
......
libva NEWS -- summary of user visible changes. 2012-08-02
libva NEWS -- summary of user visible changes. 2012-10-04
Copyright (C) 2009-2011 Intel Corporation
Version 1.1.0 - 04.Oct.2012
* API: add Wayland support
* API: add raw DRM support for headless pipelines
* Fix generic VA/GLX implementation for newer cluttersink versions
* Fix threading issues in VA objects reference code (+Krzysztof Kotlenga)
* Fix build on Android Ice Cream Sandwich (+Haitao Huang, Daniel Charles)
Version 1.0.16 - 02.Aug.2012
* API: data structures for JPEG Baseline decoding
* API: clarify the definition of slice_data_bit_offset
......
This diff is collapsed.
......@@ -3,12 +3,18 @@
/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H
/* Define to 1 if you have the <EGL/egl.h> header file. */
#undef HAVE_EGL_EGL_H
/* Define to 1 if you have the <GL/glx.h> header file. */
#undef HAVE_GL_GLX_H
/* Define to 1 if you have the <GL/gl.h> header file. */
#undef HAVE_GL_GL_H
/* Defined to 1 if GCC visibility attribute is supported */
#undef HAVE_GNUC_VISIBILITY_ATTRIBUTE
/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H
......@@ -36,10 +42,28 @@
/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H
/* Defined to 1 if VA/DRM API is built */
#undef HAVE_VA_DRM
/* Defined to 1 if VA/EGL API is built */
#undef HAVE_VA_EGL
/* Defined to 1 if VA/GLX API is built */
#undef HAVE_VA_GLX
/* Defined to 1 if VA/Wayland API is built */
#undef HAVE_VA_WAYLAND
/* Defined to 1 if VA/X11 API is built */
#undef HAVE_VA_X11
/* Define to the sub-directory in which libtool stores uninstalled libraries.
*/
#undef LT_OBJDIR
/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#undef NO_MINUS_C_MINUS_O
/* Name of package */
#undef PACKAGE
......
This diff is collapsed.
This diff is collapsed.
DEBIANFILES = \
README.Debian \
changelog.in \
compat \
control.in \
copyright \
libva-dev.dirs \
libva-dev.install \
libva1.dirs \
libva1.install \
rules \
vainfo.install \
README.Debian \
changelog.in \
compat \
control.in \
copyright \
libva-dev.install \
libva-drm.install.in \
libva-egl.install.in \
libva-glx.install.in \
libva-wayland.install.in \
libva-x11.install.in \
libva.install.in \
rules \
vainfo.install \
$(NULL)
DEBIANGENFILES = \
changelog \
control \
DEBIANGENFILES = \
changelog \
control \
libva$(LIBVA_MAJOR_VERSION).install \
libva-drm$(LIBVA_MAJOR_VERSION).install \
libva-egl$(LIBVA_MAJOR_VERSION).install \
libva-glx$(LIBVA_MAJOR_VERSION).install \
libva-wayland$(LIBVA_MAJOR_VERSION).install \
libva-x11-$(LIBVA_MAJOR_VERSION).install \
$(NULL)
EXTRA_DIST = $(DEBIANFILES)
......@@ -23,11 +32,3 @@ dist_noinst_DATA = $(DEBIANGENFILES)
# Extra clean files so that maintainer-clean removes *everything*
MAINTAINERCLEANFILES = Makefile.in $(DEBIANGENFILES)
$(DEBIANGENFILES): %: %.in Makefile
-sed \
-e 's|\@DATE\@|'"`LC_ALL=C date +'%a, %d %b %Y %X %z'`"'|' \
-e 's|\@LIBDRM_VERSION\@|$(LIBDRM_VERSION)|' \
-e 's|\@LIBVA_PACKAGE_VERSION\@|$(LIBVA_PACKAGE_VERSION)|' \
-e 's|\@PACKAGE_VERSION\@|$(PACKAGE_VERSION)|' \
$< > $@
......@@ -36,14 +36,21 @@ build_triplet = @build@
host_triplet = @host@
subdir = debian.upstream
DIST_COMMON = $(dist_noinst_DATA) $(srcdir)/Makefile.am \
$(srcdir)/Makefile.in
$(srcdir)/Makefile.in $(srcdir)/changelog.in \
$(srcdir)/control.in $(srcdir)/libva-drm.install.in \
$(srcdir)/libva-egl.install.in $(srcdir)/libva-glx.install.in \
$(srcdir)/libva-wayland.install.in \
$(srcdir)/libva-x11.install.in $(srcdir)/libva.install.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_FILES = changelog control
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
......@@ -76,6 +83,7 @@ CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DRM_CFLAGS = @DRM_CFLAGS@
DRM_LIBS = @DRM_LIBS@
DSYMUTIL = @DSYMUTIL@
......@@ -83,11 +91,13 @@ DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGL_CFLAGS = @EGL_CFLAGS@
EGL_LIBS = @EGL_LIBS@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GL_DEPS_CFLAGS = @GL_DEPS_CFLAGS@
GL_DEPS_LIBS = @GL_DEPS_LIBS@
GLX_CFLAGS = @GLX_CFLAGS@
GLX_LIBS = @GLX_LIBS@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
......@@ -100,9 +110,7 @@ LIBDRM_VERSION = @LIBDRM_VERSION@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBVA_CFLAGS = @LIBVA_CFLAGS@
LIBVA_DRIVERS_PATH = @LIBVA_DRIVERS_PATH@
LIBVA_LIBS = @LIBVA_LIBS@
LIBVA_LT_LDFLAGS = @LIBVA_LT_LDFLAGS@
LIBVA_LT_VERSION = @LIBVA_LT_VERSION@
LIBVA_MAJOR_VERSION = @LIBVA_MAJOR_VERSION@
......@@ -137,13 +145,15 @@ SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
UDEV_CFLAGS = @UDEV_CFLAGS@
UDEV_LIBS = @UDEV_LIBS@
TODAY = @TODAY@
VA_API_MAJOR_VERSION = @VA_API_MAJOR_VERSION@
VA_API_MICRO_VERSION = @VA_API_MICRO_VERSION@
VA_API_MINOR_VERSION = @VA_API_MINOR_VERSION@
VA_API_VERSION = @VA_API_VERSION@
VERSION = @VERSION@
WAYLAND_API_VERSION = @WAYLAND_API_VERSION@
WAYLAND_CFLAGS = @WAYLAND_CFLAGS@
WAYLAND_LIBS = @WAYLAND_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
XEXT_CFLAGS = @XEXT_CFLAGS@
......@@ -186,8 +196,6 @@ infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
libvabackendlib = @libvabackendlib@
libvacorelib = @libvacorelib@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
......@@ -206,23 +214,34 @@ target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
wayland_protocoldir = @wayland_protocoldir@
wayland_scanner = @wayland_scanner@
DEBIANFILES = \
README.Debian \
changelog.in \
compat \
control.in \
copyright \
libva-dev.dirs \
libva-dev.install \
libva1.dirs \
libva1.install \
rules \
vainfo.install \
README.Debian \
changelog.in \
compat \
control.in \
copyright \
libva-dev.install \
libva-drm.install.in \
libva-egl.install.in \
libva-glx.install.in \
libva-wayland.install.in \
libva-x11.install.in \
libva.install.in \
rules \
vainfo.install \
$(NULL)
DEBIANGENFILES = \
changelog \
control \
changelog \
control \
libva$(LIBVA_MAJOR_VERSION).install \
libva-drm$(LIBVA_MAJOR_VERSION).install \
libva-egl$(LIBVA_MAJOR_VERSION).install \
libva-glx$(LIBVA_MAJOR_VERSION).install \
libva-wayland$(LIBVA_MAJOR_VERSION).install \
libva-x11-$(LIBVA_MAJOR_VERSION).install \
$(NULL)
EXTRA_DIST = $(DEBIANFILES)
......@@ -263,6 +282,10 @@ $(top_srcdir)/configure: $(am__configure_deps)
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
changelog: $(top_builddir)/config.status $(srcdir)/changelog.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
control: $(top_builddir)/config.status $(srcdir)/control.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
mostlyclean-libtool:
-rm -f *.lo
......@@ -421,14 +444,6 @@ uninstall-am:
mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
$(DEBIANGENFILES): %: %.in Makefile
-sed \
-e 's|\@DATE\@|'"`LC_ALL=C date +'%a, %d %b %Y %X %z'`"'|' \
-e 's|\@LIBDRM_VERSION\@|$(LIBDRM_VERSION)|' \
-e 's|\@LIBVA_PACKAGE_VERSION\@|$(LIBVA_PACKAGE_VERSION)|' \
-e 's|\@PACKAGE_VERSION\@|$(PACKAGE_VERSION)|' \
$< > $@
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
libva (1.0.16-1) unstable; urgency=low
libva (1.1.0-1) unstable; urgency=low
* Autogenerated package, see NEWS file for ChangeLog.
-- Gwenole Beauchesne <gwenole.beauchesne@intel.com> Thu, 20 Sep 2012 09:44:42 +0200
-- Gwenole Beauchesne <gwenole.beauchesne@intel.com> Thu, 04 Oct 2012 15:38:57 +0200
......@@ -2,4 +2,4 @@ libva (@PACKAGE_VERSION@-1) unstable; urgency=low
* Autogenerated package, see NEWS file for ChangeLog.
-- Gwenole Beauchesne <gwenole.beauchesne@intel.com> @DATE@
-- Gwenole Beauchesne <gwenole.beauchesne@intel.com> @TODAY@
......@@ -6,24 +6,25 @@ Build-Depends: automake,
cdbs,
debhelper (>= 5),
libdrm-dev (>= 2.4),
libx11-dev, libxext-dev, libxfixes-dev,
libgl-dev,
libwayland-dev (>= 0.95.0),
libtool,
libxext-dev,
libxfixes-dev,
pkg-config,
x11proto-xext-dev
pkg-config
Standards-Version: 3.7.2
Section: libs
Package: libva-dev
Section: libdevel
Architecture: any
Depends: libva1 (= ${binary:Version}),
libdrm-dev (>= 2.4),
libgl-dev,
Depends: libdrm-dev (>= 2.4),
libva-drm1,
libva-x11-1 (= ${binary:Version}), libx11-dev,
libva-glx1 (= ${binary:Version}), libgl-dev,
libva-egl1 (= ${binary:Version}),
libva-wayland1 (= ${binary:Version}), libwayland-dev (>= 0.95.0),
libva1 (= ${binary:Version}),
pkg-config
Conflicts: libva-0.29-dev
Replaces: libva-0.29-dev
Description: Video Acceleration (VA) API for Linux -- development files
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
......@@ -34,12 +35,61 @@ Package: libva1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libva-0.29-0
Replaces: libva-0.29-0
Provides: libva-0.29-0
Description: Video Acceleration (VA) API for Linux -- runtime
Description: Video Acceleration (VA) API for Linux -- Core runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the Core runtime library.
Package: libva-drm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- DRM runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the VA/DRM runtime library.
Package: libva-x11-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- X11 runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the VA/X11 runtime library.
Package: libva-glx1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- GLX runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the VA/GLX runtime library.
Package: libva-egl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- EGL runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the VA/EGL runtime library.
Package: libva-wayland1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- Wayland runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the VA/Wayland runtime library.
Package: libva1-dbg
Section: libdevel
......@@ -49,7 +99,7 @@ Description: Video Acceleration (VA) API for Linux -- runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the debug files.
This package contains the debug info files.
Package: vainfo
Architecture: any
......
......@@ -6,54 +6,104 @@ Build-Depends: automake,
cdbs,
debhelper (>= 5),
libdrm-dev (>= @LIBDRM_VERSION@),
libgl-dev,
@USE_X11_TRUE@ libx11-dev, libxext-dev, libxfixes-dev,
@USE_GLX_TRUE@ libgl-dev,
@USE_WAYLAND_TRUE@ libwayland-dev (>= @WAYLAND_API_VERSION@),
libtool,
libxext-dev,
libxfixes-dev,
pkg-config,
x11proto-xext-dev
pkg-config
Standards-Version: 3.7.2
Section: libs
Package: libva-dev
Section: libdevel
Architecture: any
Depends: libva1 (= ${binary:Version}),
libdrm-dev (>= @LIBDRM_VERSION@),
libgl-dev,
Depends: libdrm-dev (>= @LIBDRM_VERSION@),
@USE_DRM_TRUE@ libva-drm@LIBVA_MAJOR_VERSION@,
@USE_X11_TRUE@ libva-x11-@LIBVA_MAJOR_VERSION@ (= ${binary:Version}), libx11-dev,
@USE_GLX_TRUE@ libva-glx@LIBVA_MAJOR_VERSION@ (= ${binary:Version}), libgl-dev,
@USE_EGL_TRUE@ libva-egl@LIBVA_MAJOR_VERSION@ (= ${binary:Version}),
@USE_WAYLAND_TRUE@ libva-wayland@LIBVA_MAJOR_VERSION@ (= ${binary:Version}), libwayland-dev (>= @WAYLAND_API_VERSION@),
libva@LIBVA_MAJOR_VERSION@ (= ${binary:Version}),
pkg-config
Conflicts: libva-0.29-dev
Replaces: libva-0.29-dev
Description: Video Acceleration (VA) API for Linux -- development files
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package provides the development environment for libva.
Package: libva1
Package: libva@LIBVA_MAJOR_VERSION@
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libva-0.29-0
Replaces: libva-0.29-0
Provides: libva-0.29-0
Description: Video Acceleration (VA) API for Linux -- runtime
Description: Video Acceleration (VA) API for Linux -- Core runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the Core runtime library.
@USE_DRM_TRUE@Package: libva-drm@LIBVA_MAJOR_VERSION@
@USE_DRM_TRUE@Section: libs
@USE_DRM_TRUE@Architecture: any
@USE_DRM_TRUE@Depends: ${shlibs:Depends}
@USE_DRM_TRUE@Description: Video Acceleration (VA) API for Linux -- DRM runtime
@USE_DRM_TRUE@ The libva library implements the Video Acceleration (VA) API for Linux.
@USE_DRM_TRUE@ The library loads a hardware dependendent driver.
@USE_DRM_TRUE@ .
@USE_DRM_TRUE@ This package contains the VA/DRM runtime library.
@USE_X11_TRUE@Package: libva-x11-@LIBVA_MAJOR_VERSION@
@USE_X11_TRUE@Section: libs
@USE_X11_TRUE@Architecture: any
@USE_X11_TRUE@Depends: ${shlibs:Depends}
@USE_X11_TRUE@Description: Video Acceleration (VA) API for Linux -- X11 runtime
@USE_X11_TRUE@ The libva library implements the Video Acceleration (VA) API for Linux.
@USE_X11_TRUE@ The library loads a hardware dependendent driver.
@USE_X11_TRUE@ .
@USE_X11_TRUE@ This package contains the VA/X11 runtime library.
@USE_GLX_TRUE@Package: libva-glx@LIBVA_MAJOR_VERSION@
@USE_GLX_TRUE@Section: libs
@USE_GLX_TRUE@Architecture: any
@USE_GLX_TRUE@Depends: ${shlibs:Depends}
@USE_GLX_TRUE@Description: Video Acceleration (VA) API for Linux -- GLX runtime
@USE_GLX_TRUE@ The libva library implements the Video Acceleration (VA) API for Linux.
@USE_GLX_TRUE@ The library loads a hardware dependendent driver.
@USE_GLX_TRUE@ .
@USE_GLX_TRUE@ This package contains the VA/GLX runtime library.
@USE_EGL_TRUE@Package: libva-egl@LIBVA_MAJOR_VERSION@
@USE_EGL_TRUE@Section: libs
@USE_EGL_TRUE@Architecture: any
@USE_EGL_TRUE@Depends: ${shlibs:Depends}
@USE_EGL_TRUE@Description: Video Acceleration (VA) API for Linux -- EGL runtime
@USE_EGL_TRUE@ The libva library implements the Video Acceleration (VA) API for Linux.
@USE_EGL_TRUE@ The library loads a hardware dependendent driver.
@USE_EGL_TRUE@ .
@USE_EGL_TRUE@ This package contains the VA/EGL runtime library.
@USE_WAYLAND_TRUE@Package: libva-wayland@LIBVA_MAJOR_VERSION@
@USE_WAYLAND_TRUE@Section: libs
@USE_WAYLAND_TRUE@Architecture: any
@USE_WAYLAND_TRUE@Depends: ${shlibs:Depends}
@USE_WAYLAND_TRUE@Description: Video Acceleration (VA) API for Linux -- Wayland runtime
@USE_WAYLAND_TRUE@ The libva library implements the Video Acceleration (VA) API for Linux.
@USE_WAYLAND_TRUE@ The library loads a hardware dependendent driver.
@USE_WAYLAND_TRUE@ .
@USE_WAYLAND_TRUE@ This package contains the VA/Wayland runtime library.
Package: libva1-dbg
Package: libva@LIBVA_MAJOR_VERSION@-dbg
Section: libdevel
Architecture: any
Depends: libva1 (= ${Source-Version})
Depends: libva@LIBVA_MAJOR_VERSION@ (= ${Source-Version})
Description: Video Acceleration (VA) API for Linux -- runtime
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
.
This package contains the debug files.
This package contains the debug info files.
Package: vainfo
Architecture: any
Depends: libva1 (= ${Source-Version})
Depends: libva@LIBVA_MAJOR_VERSION@ (= ${Source-Version})
Description: Video Acceleration (VA) API for Linux -- info program
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
......
debian/tmp/usr/lib/libva-drm.so.*
debian/tmp/usr/lib/libva-drm.so.*
debian/tmp/usr/lib/libva-egl.so.*
debian/tmp/usr/lib/libva-egl.so.*
debian/tmp/usr/lib/libva-glx.so.*
debian/tmp/usr/lib/libva-glx.so.*
debian/tmp/usr/lib/libva-wayland.so.*
debian/tmp/usr/lib/libva-wayland.so.*
debian/tmp/usr/lib/libva-x11.so.*
debian/tmp/usr/lib/libva-x11.so.*
debian/tmp/usr/lib/libva.so.*
debian/tmp/usr/lib/libva.so.*
debian/tmp/usr/lib/libva-*.so.*
This diff is collapsed.
# Copyright (c) 2007-2011 Intel Corporation. All Rights Reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sub license, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice (including the
# next paragraph) shall be included in all copies or substantial portions
# of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
# IN NO EVENT SHALL PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR
# ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
all: html
install-data-local: install-html
EXTRA_DIST = \
Doxyfile \
$(NULL)
VA_HEADER_DIR = $(top_srcdir)/va
VA_HEADER_FILES = \
$(NULL)
export VA_HEADER_DIR
export VA_HEADER_FILES
html-out/index.html: Doxyfile $(VA_HEADER_FILES)
$(DOXYGEN) $<
if ENABLE_DOCS
html: html-out/index.html
install-html-local:
install -d $(DESTDIR)$(docdir)/html
install -m 0644 html-out/* $(DESTDIR)$(docdir)/html
uninstall-local:
rm -rf $(DESTDIR)$(docdir)/html
endif
clean-local:
rm -rf html-out
# Extra clean files so that maintainer-clean removes *everything*
MAINTAINERCLEANFILES = Makefile.in
This diff is collapsed.